Bug 243571 - java/jakarta-commons-discovery: Move to java/apache-commons-discovery
Summary: java/jakarta-commons-discovery: Move to java/apache-commons-discovery
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-01-24 21:19 UTC by Pedro F. Giffuni
Modified: 2020-01-29 23:01 UTC (History)
2 users (show)

See Also:
olgeni: maintainer-feedback+


Attachments
svn diff moving the directory (5.82 KB, patch)
2020-01-24 21:19 UTC, Pedro F. Giffuni
no flags Details | Diff
Add --patch-compatible diff for easier comparison (6.47 KB, patch)
2020-01-27 15:32 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2020-01-24 21:19:19 UTC
Created attachment 211017 [details]
svn diff moving the directory

The "Jakarta" name was deprecated long ago at the ASF, and discovery was moved to Apache Commons. Catch up with history.

Also add the license, improve pkg-descr and pet portlint while here.

(I am not including the MOVED file change since the file changes a lot and any diff is likely to break).
Comment 1 Jimmy Olgeni freebsd_committer 2020-01-27 09:39:41 UTC
Thank you! \o/
Comment 2 Pedro F. Giffuni freebsd_committer 2020-01-27 15:32:47 UTC
Created attachment 211105 [details]
Add --patch-compatible diff for easier comparison
Comment 3 Pedro F. Giffuni freebsd_committer 2020-01-27 15:38:51 UTC
Add mentor for approval: better more eyes.

FWIW, after this, there is only one port (also maintained by olgeni) to finish the jackarta- to apache- move.
Comment 4 Thierry Thomas freebsd_committer 2020-01-29 19:08:54 UTC
Approved (as mentor), but please fix portlint before committing:

FATAL: Makefile: [14]: use a tab (not space) after a variable name
Comment 5 commit-hook freebsd_committer 2020-01-29 23:00:35 UTC
A commit references this bug:

Author: pfg
Date: Wed Jan 29 23:00:33 UTC 2020
New revision: 524611
URL: https://svnweb.freebsd.org/changeset/ports/524611

Log:
  java/jakarta-commons-discovery: move to java/apache-commons-discovery

  The ASF has moved Jakarta projects to apache-commons.

  PR:		243571
  Approved bu:	olgeni (maintainer), thierry (mentor)

Changes:
  head/MOVED
  head/java/Makefile
  head/java/apache-commons-discovery/
  head/java/apache-commons-discovery/Makefile
  head/java/apache-commons-discovery/pkg-descr
  head/java/jakarta-commons-discovery/
Comment 6 Pedro F. Giffuni freebsd_committer 2020-01-29 23:01:46 UTC
Fixed and committed, Thanks!